Namespace
library
Image / Tag
docker:20.10.2-dind
Content Digest
sha256:8f4e9ddda1049e6935f9fc7f5cad0bd1001fbf59188616f19b620fd7b6e95ba2
Details
Created

2021-01-05 20:28:42 UTC

Size

76.6 MB

Content Digest
Environment
DIND_COMMIT

ed89041433a031cafc0a0f19cfe573c31688d377

DOCKER_TLS_CERTDIR

/certs

DOCKER_VERSION

20.10.2

PATH

/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin


Layers

[#000] sha256:801bfaa63ef2094d770c809815b9e2b9c1194728e5e754ef7bc764030e140cea - 3.49% (2.67 MB)

[#001] sha256:4f7dc993c79e722bfe2e7f64e7ae30964b200440f94deec6b702314e2c4e233a - 2.54% (1.94 MB)

[#002] sha256:d39d95e4997fdf86ea798b96fad5c5eab74bed43cd512a3ecd5dfb4f48bc2371 - 0.0% (154 Bytes)

[#003] sha256:ae283de69b7d7622815d40f6d45c9b05f3858e760ae29ef158e4a4f45bfc07d7 - 86.5% (66.2 MB)

[#004] sha256:1962c7344fe5724fe1dea0edd44fb0acc6b4bd36d4eed59be51bbd83ad33de71 - 0.0% (542 Bytes)

[#005] sha256:aa7a3367c785715e0d08d7fc56b8c6b0bc73c48b438626af67c55534054c629d - 0.0% (1018 Bytes)

[#006] sha256:5e259227d4380d66b9df6b6334025d16153729808f8c42d71dd1fc1d2106632c - 0.0% (117 Bytes)

[#007] sha256:a38001158edd741c65a3ed125131c9b512015100212693852be53b476dc7b43c - 7.47% (5.72 MB)

[#008] sha256:837d641dcbc635770b022eaf0f3d0872e35f5d5757f12840588a23e386d0a182 - 0.0% (1.25 KB)

[#009] sha256:72a5813f12bba67bf98a1e61563228898143a9bddc98cd424e06eb0c0fef5b56 - 0.0% (934 Bytes)

[#010] sha256:7709f1e4daeb7f42a1f90d3cfbdafb7d75a6db94c49053c60894fd198c5dbb81 - 0.0% (2.45 KB)


History
2020-12-17 00:19:41 UTC

/bin/sh -c #(nop) ADD file:ec475c2abb2d46435286b5ae5efacf5b50b1a9e3b6293b69db3c0172b5b9658b in /

2020-12-17 00:19:42 UTC

/bin/sh -c #(nop) CMD ["/bin/sh"]

2020-12-17 12:37:38 UTC

/bin/sh -c apk add --no-cache ca-certificates openssh-client

2020-12-17 12:37:40 UTC

/bin/sh -c [ ! -e /etc/nsswitch.conf ] && echo 'hosts: files dns' > /etc/nsswitch.conf

2021-01-05 20:28:24 UTC

/bin/sh -c #(nop) ENV DOCKER_VERSION=20.10.2

2021-01-05 20:28:30 UTC

/bin/sh -c set -eux; apkArch="$(apk --print-arch)"; case "$apkArch" in 'x86_64') url='https://download.docker.com/linux/static/stable/x86_64/docker-20.10.2.tgz'; ;; 'armhf') url='https://download.docker.com/linux/static/stable/armel/docker-20.10.2.tgz'; ;; 'armv7') url='https://download.docker.com/linux/static/stable/armhf/docker-20.10.2.tgz'; ;; 'aarch64') url='https://download.docker.com/linux/static/stable/aarch64/docker-20.10.2.tgz'; ;; *) echo >&2 "error: unsupported architecture ($apkArch)"; exit 1 ;; esac; wget -O docker.tgz "$url"; tar --extract --file docker.tgz --strip-components 1 --directory /usr/local/bin/ ; rm docker.tgz; dockerd --version; docker --version

2021-01-05 20:28:30 UTC

/bin/sh -c #(nop) COPY file:abb137d24130e7fa2bdd38694af607361ecb688521e60965681e49460964a204 in /usr/local/bin/modprobe

2021-01-05 20:28:30 UTC

/bin/sh -c #(nop) COPY file:5b18768029dab8174c9d5957bb39560bde5ef6cba50fbbca222731a0059b449b in /usr/local/bin/

2021-01-05 20:28:30 UTC

/bin/sh -c #(nop) ENV DOCKER_TLS_CERTDIR=/certs

2021-01-05 20:28:31 UTC

/bin/sh -c mkdir /certs /certs/client && chmod 1777 /certs /certs/client

2021-01-05 20:28:32 UTC

/bin/sh -c #(nop) ENTRYPOINT ["docker-entrypoint.sh"]

2021-01-05 20:28:32 UTC

/bin/sh -c #(nop) CMD ["sh"]

2021-01-05 20:28:38 UTC

/bin/sh -c set -eux; apk add --no-cache btrfs-progs e2fsprogs e2fsprogs-extra ip6tables iptables openssl shadow-uidmap xfsprogs xz pigz ; if zfs="$(apk info --no-cache --quiet zfs)" && [ -n "$zfs" ]; then apk add --no-cache zfs; fi

2021-01-05 20:28:39 UTC

/bin/sh -c set -eux; addgroup -S dockremap; adduser -S -G dockremap dockremap; echo 'dockremap:165536:65536' >> /etc/subuid; echo 'dockremap:165536:65536' >> /etc/subgid

2021-01-05 20:28:40 UTC

/bin/sh -c #(nop) ENV DIND_COMMIT=ed89041433a031cafc0a0f19cfe573c31688d377

2021-01-05 20:28:41 UTC

/bin/sh -c set -eux; wget -O /usr/local/bin/dind "https://raw.githubusercontent.com/docker/docker/${DIND_COMMIT}/hack/dind"; chmod +x /usr/local/bin/dind

2021-01-05 20:28:41 UTC

/bin/sh -c #(nop) COPY file:ba8ee8770c54e5ecc99314148f702a73a1c00c3ef0cc27ff33581d2dbab7456e in /usr/local/bin/

2021-01-05 20:28:41 UTC

/bin/sh -c #(nop) VOLUME [/var/lib/docker]

2021-01-05 20:28:41 UTC

/bin/sh -c #(nop) EXPOSE 2375 2376

2021-01-05 20:28:42 UTC

/bin/sh -c #(nop) ENTRYPOINT ["dockerd-entrypoint.sh"]

2021-01-05 20:28:42 UTC

/bin/sh -c #(nop) CMD []

Details
Created

2021-01-05 20:57:09 UTC

Size

70.9 MB

Content Digest
Environment
DIND_COMMIT

ed89041433a031cafc0a0f19cfe573c31688d377

DOCKER_TLS_CERTDIR

/certs

DOCKER_VERSION

20.10.2

PATH

/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin


Layers

[#000] sha256:159e5727ea618dfe8b08811112e2c51f5bd2b9ae7db9eb214914a65249f70ca0 - 3.64% (2.58 MB)

[#001] sha256:687389c362907d6cbb42307b7282adbf11252d32f65daf6856fcd793682d51e4 - 2.77% (1.97 MB)

[#002] sha256:94e28978939c32b9c7a64f86fcc5fb90cc8443ba29608c41cd5cd6e1105a52b5 - 0.0% (154 Bytes)

[#003] sha256:81bd9c9fe1b114242c2a05ff2324cb558a4ea9f13ee3bb217b064840746994f1 - 85.52% (60.6 MB)

[#004] sha256:0c5a7137269a5d82bd93feca2c70ef57151436f679154c45adfd36f19f42afb8 - 0.0% (545 Bytes)

[#005] sha256:650eeba05d503524e9e4c82701a3d62ec4cbb8dd3566e9394dfc123d2066eda0 - 0.0% (1017 Bytes)

[#006] sha256:283d3dba4d5b3bf9559384bd78c7130fa5d031df18b8e969a14226ea37a13aa5 - 0.0% (150 Bytes)

[#007] sha256:80e78a4172ef96f32b533cbf6801fe149da1b779d89840d83fe886177926f45a - 8.05% (5.71 MB)

[#008] sha256:1598bd0109f36fbb2b85347bc0cf0a84ab301f28328d2951839311586e8437bd - 0.0% (1.28 KB)

[#009] sha256:af010b07f6e310392fcc7c20186421464c4d501cbd34703ebbe38989865183ac - 0.0% (931 Bytes)

[#010] sha256:b19648213b3243bb843981aafdcec6d0985a973d0d3aa90bec97d43313946969 - 0.0% (2.45 KB)


History
2020-12-16 23:40:26 UTC

/bin/sh -c #(nop) ADD file:a4845c3840a3fd0e41e4635a179cce20c81afc6c02e34e3fd5bd2d535698918b in /

2020-12-16 23:40:29 UTC

/bin/sh -c #(nop) CMD ["/bin/sh"]

2020-12-18 21:03:45 UTC

/bin/sh -c apk add --no-cache ca-certificates openssh-client

2020-12-18 21:03:47 UTC

/bin/sh -c [ ! -e /etc/nsswitch.conf ] && echo 'hosts: files dns' > /etc/nsswitch.conf

2021-01-05 20:56:23 UTC

/bin/sh -c #(nop) ENV DOCKER_VERSION=20.10.2

2021-01-05 20:56:42 UTC

/bin/sh -c set -eux; apkArch="$(apk --print-arch)"; case "$apkArch" in 'x86_64') url='https://download.docker.com/linux/static/stable/x86_64/docker-20.10.2.tgz'; ;; 'armhf') url='https://download.docker.com/linux/static/stable/armel/docker-20.10.2.tgz'; ;; 'armv7') url='https://download.docker.com/linux/static/stable/armhf/docker-20.10.2.tgz'; ;; 'aarch64') url='https://download.docker.com/linux/static/stable/aarch64/docker-20.10.2.tgz'; ;; *) echo >&2 "error: unsupported architecture ($apkArch)"; exit 1 ;; esac; wget -O docker.tgz "$url"; tar --extract --file docker.tgz --strip-components 1 --directory /usr/local/bin/ ; rm docker.tgz; dockerd --version; docker --version

2021-01-05 20:56:44 UTC

/bin/sh -c #(nop) COPY file:abb137d24130e7fa2bdd38694af607361ecb688521e60965681e49460964a204 in /usr/local/bin/modprobe

2021-01-05 20:56:44 UTC

/bin/sh -c #(nop) COPY file:5b18768029dab8174c9d5957bb39560bde5ef6cba50fbbca222731a0059b449b in /usr/local/bin/

2021-01-05 20:56:45 UTC

/bin/sh -c #(nop) ENV DOCKER_TLS_CERTDIR=/certs

2021-01-05 20:56:47 UTC

/bin/sh -c mkdir /certs /certs/client && chmod 1777 /certs /certs/client

2021-01-05 20:56:48 UTC

/bin/sh -c #(nop) ENTRYPOINT ["docker-entrypoint.sh"]

2021-01-05 20:56:48 UTC

/bin/sh -c #(nop) CMD ["sh"]

2021-01-05 20:57:00 UTC

/bin/sh -c set -eux; apk add --no-cache btrfs-progs e2fsprogs e2fsprogs-extra ip6tables iptables openssl shadow-uidmap xfsprogs xz pigz ; if zfs="$(apk info --no-cache --quiet zfs)" && [ -n "$zfs" ]; then apk add --no-cache zfs; fi

2021-01-05 20:57:02 UTC

/bin/sh -c set -eux; addgroup -S dockremap; adduser -S -G dockremap dockremap; echo 'dockremap:165536:65536' >> /etc/subuid; echo 'dockremap:165536:65536' >> /etc/subgid

2021-01-05 20:57:03 UTC

/bin/sh -c #(nop) ENV DIND_COMMIT=ed89041433a031cafc0a0f19cfe573c31688d377

2021-01-05 20:57:05 UTC

/bin/sh -c set -eux; wget -O /usr/local/bin/dind "https://raw.githubusercontent.com/docker/docker/${DIND_COMMIT}/hack/dind"; chmod +x /usr/local/bin/dind

2021-01-05 20:57:06 UTC

/bin/sh -c #(nop) COPY file:ba8ee8770c54e5ecc99314148f702a73a1c00c3ef0cc27ff33581d2dbab7456e in /usr/local/bin/

2021-01-05 20:57:06 UTC

/bin/sh -c #(nop) VOLUME [/var/lib/docker]

2021-01-05 20:57:07 UTC

/bin/sh -c #(nop) EXPOSE 2375 2376

2021-01-05 20:57:08 UTC

/bin/sh -c #(nop) ENTRYPOINT ["dockerd-entrypoint.sh"]

2021-01-05 20:57:09 UTC

/bin/sh -c #(nop) CMD []

Danger Zone
Delete Tag

Please be careful as this will not just delete the reference but also the actual content!

For example when you have latest and v1.2.3 both pointing to the same image
the deletion of latest will also permanently remove v1.2.3.

Delete